Package com.xebialabs.xlrelease.api.v1.forms

# Enum Class TimeFrame

java.lang.Object
java.lang.Enum<TimeFrame>
com.xebialabs.xlrelease.api.v1.forms.TimeFrame

All Implemented Interfaces:
  `Serializable`, `Comparable<TimeFrame>`, `Constable`

public enum TimeFrame extends Enum<TimeFrame>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LAST_MONTH`
  `LAST_SEVEN_DAYS`
  `LAST_SIX_MONTHS`
  `LAST_THREE_MONTHS`
  `LAST_YEAR`
  `RANGE`
  `TODAY`
  `YESTERDAY`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_TIME_FRAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract long`
  `getEndDate(Date to)`
  `abstract long`
  `getStartDate(Date from)`
  `static TimeFrame`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TimeFrame[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TODAY

    public static final TimeFrame TODAY

  - ### YESTERDAY

    public static final TimeFrame YESTERDAY

  - ### LAST_SEVEN_DAYS

    public static final TimeFrame LAST_SEVEN_DAYS

  - ### LAST_MONTH

    public static final TimeFrame LAST_MONTH

  - ### LAST_THREE_MONTHS

    public static final TimeFrame LAST_THREE_MONTHS

  - ### LAST_SIX_MONTHS

    public static final TimeFrame LAST_SIX_MONTHS

  - ### LAST_YEAR

    public static final TimeFrame LAST_YEAR

  - ### RANGE

    public static final TimeFrame RANGE

- ## Field Details

  - ### DEFAULT_TIME_FRAME

    public static final String DEFAULT_TIME_FRAME
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static TimeFrame[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TimeFrame valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getStartDate

    public abstract long getStartDate(Date from)

  - ### getEndDate

    public abstract long getEndDate(Date to)